--- /dev/null
+## $Id$ -*- makefile -*-
+
+## Copyright (C) 2004 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
+##
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2, or (at your option)
+## any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+##
+
+
+contrib_gen_DTA = contrib/manifest.dat
+contrib_subst_SRCS = contrib/manifest.dat.pathsubst
+
+
+contrib_DTA = $(contrib_gen_DTA)
+contrib_CLEANFILES = $(contrib_gen_DTA)
+
+contrib_XTRAS = $(contrib_subst_SRCS) \
+ contrib/make-manifest
+
+contrib/manifest.dat: contrib/.manifest.dat.pathsubst.stamp
--- /dev/null
+#! /bin/bash
+
+# Copyright (C) 2004 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+
+## Usage: make-manifest <basename> <destdir> <datfile>
+
+name=$1
+dest=$2
+data=$3
+
+for i in $name-{core,devel,base,build,legacy}.list; do
+ echo '%defattr(-,root,root,-)' >$i
+done
+
+cat $data | while read style file; do
+ test "$file" || continue
+ echo "$file" >>$name-$style.list
+done
--- /dev/null
+core @LIBDIR@/libvserver.so.*
+devel @LIBDIR@/libvserver.a
+devel @LIBDIR@/libvserver.so
+base @PKGLIBDIR@/functions
+build @PKGLIBDIR@/vserver-build.apt-rpm
+build @PKGLIBDIR@/vserver-build.skeleton
+build @PKGLIBDIR@/vserver-build.functions
+build @PKGLIBDIR@/vserver-build.functions.apt
+build @PKGLIBDIR@/vserver-build.functions.rpm
+build @PKGLIBDIR@/vserver-setup.functions
+base @PKGLIBDIR@/vserver.functions
+base @PKGLIBDIR@/vserver.start
+base @PKGLIBDIR@/vserver.stop
+base @PKGLIBDIR@/vserver.suexec
+core @PKGLIBDIR@/util-vserver-vars
+build @PKGLIBDIR@/rpm-fake.so
+legacy @LEGACYDIR@/save_s_context
+legacy @LEGACYDIR@/vps
+legacy @LEGACYDIR@/vserver
+legacy @LEGACYDIR@/vserverkillall
+legacy @LEGACYDIR@/distrib-info
+base @PKGLIBDIR@/defaults/mtab
+build @PKGLIBDIR@/defaults/fstab
+build @PKGLIBDIR@/defaults/vunify-exclude
+base @PKGLIBDIR@/capchroot
+base @PKGLIBDIR@/chroot-cat
+base @PKGLIBDIR@/chroot-rm
+base @PKGLIBDIR@/exec-ulimit
+base @PKGLIBDIR@/fakerunlevel
+base @PKGLIBDIR@/filetime
+base @PKGLIBDIR@/ifspec
+base @PKGLIBDIR@/listdevip
+base @PKGLIBDIR@/mask2prefix
+base @PKGLIBDIR@/parserpmdump
+base @PKGLIBDIR@/pipe-sync
+base @PKGLIBDIR@/readlink
+base @PKGLIBDIR@/rootshell
+build @PKGLIBDIR@/rpm-fake-resolver
+base @PKGLIBDIR@/save_ctxinfo
+base @PKGLIBDIR@/secure-mount
+base @PKGLIBDIR@/showperm
+build @PKGLIBDIR@/vapt-get-worker
+build @PKGLIBDIR@/vbuild
+build @PKGLIBDIR@/vcheck
+build @PKGLIBDIR@/vpkg
+base @PKGLIBDIR@/vreboot
+build @PKGLIBDIR@/vrpm-preload
+build @PKGLIBDIR@/vrpm-worker
+build @PKGLIBDIR@/vserver-build
+build @PKGLIBDIR@/vunify
+base @PKGLIBDIR@/vservers.grabinfo.sh
+build @PKGLIBDIR@/distributions
+devel @LIBDIR@/pkgconfig/util-vserver.pc
+core @SBINDIR@/chbind
+core @SBINDIR@/chcontext
+core @SBINDIR@/chxid
+base @SBINDIR@/exec-cd
+core @SBINDIR@/lsxid
+core @SBINDIR@/new-namespace
+base @SBINDIR@/rebootmgr
+core @SBINDIR@/reducecap
+core @SBINDIR@/setattr
+core @SBINDIR@/showattr
+build @SBINDIR@/vapt-get
+base @SBINDIR@/vdu
+build @SBINDIR@/vfiles
+core @SBINDIR@/vkill
+core @SBINDIR@/vlimit
+base @SBINDIR@/vps
+base @SBINDIR@/vpstree
+build @SBINDIR@/vrpm
+core @SBINDIR@/vrsetup
+base @SBINDIR@/vserver
+build @SBINDIR@/vserver-copy
+base @SBINDIR@/vserver-info
+base @SBINDIR@/vserver-stat
+base @SBINDIR@/vtop
+core @SBINDIR@/vuname
+devel @INCLUDEDIR@/vserver.h
+core @MANDIR@/*/chbind*
+core @MANDIR@/*/chcontext*
+core @MANDIR@/*/reducecap*
+legacy @MANDIR@/*/distrib-info*
+build @MANDIR@/*/vserver-copy*
+base @MANDIR@/*/rebootmgr*
+legacy @MANDIR@/*/vps.*
+base @MANDIR@/*/vpstree.*
+base @MANDIR@/*/vserver-stat*
+base @MANDIR@/*/vserver.*
+base @MANDIR@/*/vtop*